require 'oo/version'
require 'oo/configuration'
require 'oo/errors/license_missing'
require 'oo/errors/license_max_depth_invalid'
require 'oo/errors/license_missing_reaction_invalid'
require 'oo/errors/license_checkers_default_user_invalid'
require 'oo/errors/license_checkers_default_key_invalid'
require 'oo/errors/default_license_keys_invalid'
require 'oo/license'
require 'oo/check_license'
require 'oo/license_user'
require 'oo/license_checkers'

module OO
  class << self
    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration) if block_given?
      configuration
    end
  end
end
