require 'rails/generators'

module OO
  class InstallGenerator < ::Rails::Generators::Base
    namespace 'oo:install'
    source_root File.expand_path('../templates', __FILE__)
    desc 'Generates OO (license) gem initializer.'

    def install
      template 'initializer.rb', 'config/initializers/oo_license.rb'
    end
  end
end
