OO.configure do |c|
  c.license_max_depth = 4

  c.license_checkers_default_user = ->(base) { base.current_user }
  c.license_checkers_default_key = lambda do |base|
    base.controller_path.gsub('/', '_') +
      OO::License.separator +
      base.action_name
  end

  c.license_missing_reaction = lambda do |license_key, user|
    raise OO::Errors::LicenseMissing, license_key: license_key,
                                      user_data: user.id
  end

  c.default_license_keys = []
end
