module OO
  class CheckLicense
    attr_reader :license_key, :license_keys, :license

    def self.call(attrs = {})
      new(attrs).call
    end

    def initialize(attrs = {})
      @license_key = attrs.fetch(:key)
      @license_keys = attrs.fetch(:in)
      @license = License.new(key: license_key)
    end

    def call
      license.masks & license_keys
    end
  end
end
