module OO
  module LicenseUser
    def self.included(base)
      base.class_eval do
        field :license_keys, type: :array,
                             default: OO.configuration.default_license_keys

        def licensed?(attrs = {})
          required_key = attrs.fetch(:to)
          CheckLicense.call(key: required_key, in: license_keys).any?
        end
      end
    end
  end
end
